{
  description = "Love you";
  inputs = {
    nixpkgs.url = "github:NixOS/nixpkgs/nixos-unstable";
    flake-utils.url = "github:numtide/flake-utils";
    cursor.url = "github:omarcresp/cursor-flake/main";
  };
  outputs = { self, nixpkgs, flake-utils, cursor }:
    flake-utils.lib.eachDefaultSystem (system:
      let
        pkgs = import nixpkgs {
          inherit system;
          config.allowUnfree = true;
        };
      in
        {
        devShell =
          with pkgs; mkShell rec {
            buildInputs = [
              love
              cursor.packages.${pkgs.system}.default
            ];

            shellHook = ''
              zsh 

              exit
            '';
          };
      });
}


